<?php
/**
 * 活动列表-数据详情-用户详情
 * $Id: event_member_detail.php,v 1.1 2020/01/03 11:18:46  Exp $
 * @author lixq
 * @package manager.public_html
 */
// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("14")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["left"] = "menu.inc";
	$layout_pages["right"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
	exit;
}

$id = ParamUtil::getRequestString("id");

$volunteer_event_member_dat = VolunteerEventMemberDat::getById($id);
if ($volunteer_event_member_dat == null) {
  // エラー表示
  $message = "对象不存在.";
  $layout_pages = array();
  $layout_pages["left"] = "menu.inc";
  $layout_pages["right"] = "error.inc";
  require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
  exit;
}
$images = [];
if(!empty($volunteer_event_member_dat->images)){
  $images = explode("|", $volunteer_event_member_dat->images);
}

$event_dat = VolunteerEventDat::getById($volunteer_event_member_dat->volunteer_event_id);

$param = [];
$param["member_id"] = $id;
$event_member_list = CompassHandler::getEventMemberList($param);

// ページ
$layout_pages = array();
$layout_pages["left"] = "menu.inc";
$layout_pages["right"] = "event_member_detail.inc";
$layout_pages["menu_clicked"] = "3-1";
require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
exit;